Package org.gradle.nativeplatform.platform

# Interface Architecture

All Superinterfaces:
  `Named`

public interface Architecture extends Named
A CPU architecture.

Values
Instruction Set | 32-bit names | 64-bit names
--- | --- | ---
Intel x86 | "x86", "i386", "ia-32", "i686" | "x86_64", "amd64", "x64", "x86-64"
Intel Itanium | N/A | "ia-64", "ia64"
Power PC | "ppc" | "ppc64"
Sparc | "sparc", "sparc32", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
ARM | "arm", "arm-v7", "armv7", "arm32" | "aarch64", "arm64", "arm-v8"
MCST e2k (Elbrus-2000) | N/A | "e2k"

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns a human-consumable display name for this architecture.
  `String`
  `getName()`
  The object's name.

- ## Method Details

  - ### getName

    @Input String getName()
    Description copied from interface: `Named`
    The object's name.

    Must be constant for the life of the object.

    Specified by:
      `getName` in interface `Named`
    Returns:
      The name. Never null.

  - ### getDisplayName

    @Internal String getDisplayName()
    Returns a human-consumable display name for this architecture.